import {Request, Response} from 'express';
import {log} from '../core/utils';

export default async (req: Request, res: Response) => {
    const payload = req.body;
    log('Alice hook parameters', payload);
    res.send({
        response: {
            text: 'Здравствуйте! Это тестовый ответ базы Фонда SCP.',
            tts: 'Здравствуйте! Это тестовый ответ базы Фонда эс-си-пи',
            // 'buttons': [
            //     {
            //         'title': 'Надпись на кнопке',
            //         'payload': {},
            //         'url': 'https://example.com/',
            //         'hide': true
            //     }
            // ],
            end_session: true
        },
        session: {
            session_id: payload.session.session_id,
            message_id: payload.session.message_id,
            user_id: payload.session.user_id
        },
        version: '1.0'
    });
};
