'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const uuid = require('uuid/v4');
class AccessToken extends _1.Model {
    static get tableName() {
        return 'access_tokens';
    }
    static createToken(name, description, roles = {}) {
        return AccessToken
            .query()
            .insert({
            token: (uuid() + uuid()).replace(/-/g, ''),
            name,
            description,
            roles
        })
            .returning('token');
    }
}
module.exports = AccessToken;
//# sourceMappingURL=access-tokens.js.map