'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const utils_1 = require("../core/utils");
module.exports = async function run() {
    utils_1.logToDiscord('Performing full import');
    const branches = await models_1.Branch.query();
    await Promise.all(branches.map((branch) => branch.importPages()));
};
//# sourceMappingURL=full-wiki-import-init.js.map